Loading...
Searching...
No Matches
Halide::Internal::FusedPair Struct Reference

This represents two stages with fused loop nests from outermost to a specific loop level. More...

`#include <Schedule.h>`

## Public Member Functions

| FusedPair ()=default
| FusedPair (const std::string &f1, size_t s1, const std::string &f2, size_t s2, const std::string &var)
bool | operator== (const FusedPair &other) const
bool | operator< (const FusedPair &other) const

## Public Attributes

std::string | func_1
std::string | func_2
size_t | stage_1
size_t | stage_2
std::string | var_name

## Detailed Description

This represents two stages with fused loop nests from outermost to a specific loop level.

The loops to compute func_1(stage_1) are fused with the loops to compute func_2(stage_2) from outermost to loop level var_name and the computation from stage_1 of func_1 occurs first.

Definition at line 529 of file Schedule.h.

## Constructor & Destructor Documentation

## FusedPair() [1/2]

Halide::Internal::FusedPair::FusedPair | ( |  | ) |

default

Referenced by operator<(), and operator==().

## FusedPair() [2/2]

Halide::Internal::FusedPair::FusedPair | ( | const std::string & | f1,
|  | size_t | s1,
|  | const std::string & | f2,
|  | size_t | s2,
|  | const std::string & | var )

inline

Definition at line 537 of file Schedule.h.

References func_1, func_2, stage_1, stage_2, and var_name.

## Member Function Documentation

## operator==()

bool Halide::Internal::FusedPair::operator== | ( | const FusedPair & | other | ) | const

inline

Definition at line 542 of file Schedule.h.

References func_1, func_2, FusedPair(), stage_1, stage_2, and var_name.

## operator<()

bool Halide::Internal::FusedPair::operator< | ( | const FusedPair & | other | ) | const

inline

Definition at line 547 of file Schedule.h.

References func_1, func_2, FusedPair(), stage_1, stage_2, and var_name.

## Member Data Documentation

## func_1

std::string Halide::Internal::FusedPair::func_1

Definition at line 530 of file Schedule.h.

Referenced by FusedPair(), operator<(), and operator==().

## func_2

std::string Halide::Internal::FusedPair::func_2

Definition at line 531 of file Schedule.h.

Referenced by FusedPair(), operator<(), and operator==().

## stage_1

size_t Halide::Internal::FusedPair::stage_1

Definition at line 532 of file Schedule.h.

Referenced by FusedPair(), operator<(), and operator==().

## stage_2

size_t Halide::Internal::FusedPair::stage_2

Definition at line 533 of file Schedule.h.

Referenced by FusedPair(), operator<(), and operator==().

## var_name

std::string Halide::Internal::FusedPair::var_name

Definition at line 534 of file Schedule.h.

Referenced by FusedPair(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- src/Schedule.h